Subject: [Netconf] Practical use of extension.

From: Ambika Tripathy <[email-masked]>
Date: Wed, 12 Feb 2014 21:23:07 +0530

Hi,

I am going though YANG and Open DayLight implementation using YANG files in
MD_SAL.

I have one fundamental doubt to understand how extension is working.

Could you please explain with some practical example using some yang
datastore concepts, how to use extension keyword in YANG and its usages.

Practically, I am referring
http://tools.ietf.org/id/draft-clemm-netmod-mount-01.txt and its extension
defined in mound module and use in Appendix A.

-- 
Ambika Prasad Tripathy
Cell @+91 9437547730/8553070866
Alt email: [email-masked]
[email-masked]
skype:ambika_nethawkI

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 12 Feb 2014 16:59:22 +0100

> datastore concepts, how to use extension keyword in YANG and its usages.
 
I suggest to read RFC 6020 section 7.17. In a nutshell, the extension
statement allows to add a new statement to the YANG language.
 
> defined in mound module and use in Appendix A.

This may not be a good example to study. That document may be
confusing the YANG extension statement (which adds keywords to the
YANG reportoire) with runtime additions to a data store.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Ambika Tripathy <[email-masked]>
Date: Wed, 12 Feb 2014 21:41:08 +0530

Hi Juergen,

Thanks for your quick response.

Section: 7.17, in page 98 of the rfc 6020 "The substatements of an extension

   are defined by the extension, using some mechanism outside the scope

   of this specification. " Which is more confusing.

What does it mean and  what is the practical use of it in a YANG datastore?
do you have some other example.

br,
Ambika

skype:ambika_nethawk

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 12 Feb 2014 17:14:37 +0100

> What does it mean and  what is the practical use of it in a YANG datastore?

None. You declare a new keyword for the YANG data modeling
language. There is no direct relationship to datastores.

> do you have some other example.

RFC 6536 defines extensions.

/js

---

From: Andy Bierman <[email-masked]>
Date: Wed, 12 Feb 2014 08:16:18 -0800

Hi,

Since these external statements are outside of the YANG language,
there is no definition in YANG for the syntax and semantics of
external statements.

Extensions are very useful within tool implementations to tag YANG
definitions with additional metadata, in order to automate various
functionality.

Andy

On Wed, Feb 12, 2014 at 8:11 AM, Ambika Tripathy
<[email-masked]>wrote:

> What does it mean and  what is the practical use of it in a YANG
> datastore? do you have some other example.
>
> br,
> Ambika
>
>
>
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>